Package org.springframework.security.config.web.server

# Class ServerHttpSecurity.AuthorizeExchangeSpec

java.lang.Object
org.springframework.security.config.web.server.AbstractServerWebExchangeMatcherRegistry<ServerHttpSecurity.AuthorizeExchangeSpec.Access>
org.springframework.security.config.web.server.ServerHttpSecurity.AuthorizeExchangeSpec

Enclosing class:
  ServerHttpSecurity

public class ServerHttpSecurity.AuthorizeExchangeSpec extends AbstractServerWebExchangeMatcherRegistry<ServerHttpSecurity.AuthorizeExchangeSpec.Access>
Configures authorization

Since:
  5.0
See Also:
  - `ServerHttpSecurity.authorizeExchange()`

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`final class`
`ServerHttpSecurity.AuthorizeExchangeSpec.Access`
Configures the access for a particular set of exchanges.

## Constructor Summary

Constructors
Constructor
Description
`AuthorizeExchangeSpec()`

## Method Summary

Modifier and Type
Method
Description
`ServerHttpSecurity`
`and()`
Deprecated, for removal: This API element is subject to removal in a future version.
For removal in 7.0.
`ServerHttpSecurity.AuthorizeExchangeSpec.Access`
`anyExchange()`
Disables authorization.
`protected void`
`configure(ServerHttpSecurity http)`
`protected org.springframework.web.util.pattern.PathPatternParser`
`getPathPatternParser()`
`protected ServerHttpSecurity.AuthorizeExchangeSpec.Access`
`registerMatcher(org.springframework.security.web.server.util.matcher.ServerWebExchangeMatcher matcher)`
Subclasses should implement this method for returning the object that is chained to the creation of the `ServerWebExchangeMatcher` instances.

### Methods inherited from class org.springframework.security.config.web.server.AbstractServerWebExchangeMatcherRegistry

`matchers, pathMatchers, pathMatchers, pathMatchers`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AuthorizeExchangeSpec

public AuthorizeExchangeSpec()

## Method Details

### and

@Deprecated(since="6.1", forRemoval=true) public ServerHttpSecurity and()
Deprecated, for removal: This API element is subject to removal in a future version.
For removal in 7.0. Use `ServerHttpSecurity.authorizeExchange(Customizer)` instead
Allows method chaining to continue configuring the `ServerHttpSecurity`

Returns:
  the `ServerHttpSecurity` to continue configuring

### anyExchange

public ServerHttpSecurity.AuthorizeExchangeSpec.Access anyExchange()
Disables authorization.

Overrides:
  `anyExchange` in class `AbstractServerWebExchangeMatcherRegistry<ServerHttpSecurity.AuthorizeExchangeSpec.Access>`
Returns:
  the `ServerHttpSecurity.AuthorizeExchangeSpec.Access` to continue configuring

### getPathPatternParser

protected org.springframework.web.util.pattern.PathPatternParser getPathPatternParser()

Overrides:
  `getPathPatternParser` in class `AbstractServerWebExchangeMatcherRegistry<ServerHttpSecurity.AuthorizeExchangeSpec.Access>`

### registerMatcher

protected ServerHttpSecurity.AuthorizeExchangeSpec.Access registerMatcher(org.springframework.security.web.server.util.matcher.ServerWebExchangeMatcher matcher)
Description copied from class: `AbstractServerWebExchangeMatcherRegistry`
Subclasses should implement this method for returning the object that is chained to the creation of the `ServerWebExchangeMatcher` instances.

Specified by:
  `registerMatcher` in class `AbstractServerWebExchangeMatcherRegistry<ServerHttpSecurity.AuthorizeExchangeSpec.Access>`
Parameters:
  `matcher` - the `ServerWebExchangeMatcher` instances that were created
Returns:
  the chained Object for the subclass which allows association of something else to the `ServerWebExchangeMatcher`

### configure

protected void configure(ServerHttpSecurity http)